package models

import (
	"git.apinb.com/bsm-sdk/core/types"
)

// GroupFiles 群文件
type GroupRes struct {
	types.Std_IICUDS
	types.Std_Passport
	GroupID     string `gorm:"column:group_id;type:varchar(50);not null;" json:"group_id"`
	Name        string `gorm:"column:name;type:varchar(255);not null;" json:"name"`
	Introduce   string `gorm:"column:introduce;type:varchar(255);default:'';" json:"introduce"` //简介
	URL         string `gorm:"column:url;type:varchar(255);default:'';" json:"url"`
	DownloadNum int64  `gorm:"column:download_num;default:0;" json:"download_num"`
}

// TableName .
func (gf *GroupRes) TableName() string {
	return "relation_group_res"
}
